{% extends 'Default/backend.html.twig' %}
{% block main_content %}
<section id="intro" class="container px-4 my-4">
  <div class="row">
    <div class="col-lg-12 px-lg-4 py-lg-2">
      {% if item.name %}
        <h2> {{ 'gruppo_di_servizi.modifica' | trans() }} - {{ item.name }}</h2>
      {% else %}
        <h2>{{ 'code_generation.strategies.new' | trans() }}</h2>
      {% endif %}
    </div>

    <div class="col-lg-12 px-lg-4 py-lg-2 mt-4">
      {{ form_start(form) }}
      {{ form_errors(form) }}

      {{ form_row(form.name) }}

      <div class="row">
        <div class="col-md-6">{{ form_row(form.prefix) }}</div>
        <div class="col-md-6">{{ form_row(form.postfix) }}</div>
      </div>
      <div class="row">
        <div class="col-md-6">{{ form_row(form.counter_digit_length) }}</div>
        <div class="col-md-6">{{ form_row(form.temporal_reset) }}</div>
      </div>

      <div class="row">
        <div class="col-12 mt-5">
          <input class="btn btn-primary mr-1" type="submit" value="{{ 'salva' | trans() }}" style="float: left"/>
          <a class="btn btn-100 mr-1" href="{{ path('admin_cgs_index') }}"
             style="float: left">{{ 'gruppo_di_servizi.torna_alla_lista' | trans() }}</a>
        </div>
      </div>


      {{ form_end(form) }}
    </div>
  </div>
</section>
{% endblock %}
